curl --request POST \
--url https://sandbox.cashfree.com/verification/ifsc \
--header 'Content-Type: application/json' \
--header 'x-client-id: <api-key>' \
--header 'x-client-secret: <api-key>' \
--data '
{
"verification_id": "test_verification_id",
"ifsc": "HDFC0000001"
}
'import requests
url = "https://sandbox.cashfree.com/verification/ifsc"
payload = {
"verification_id": "test_verification_id",
"ifsc": "HDFC0000001"
}
headers = {
"x-client-id": "<api-key>",
"x-client-secret": "<api-key>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {
'x-client-id': '<api-key>',
'x-client-secret': '<api-key>',
'Content-Type': 'application/json'
},
body: JSON.stringify({verification_id: 'test_verification_id', ifsc: 'HDFC0000001'})
};
fetch('https://sandbox.cashfree.com/verification/ifsc', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://sandbox.cashfree.com/verification/ifsc",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "POST",
CURLOPT_POSTFIELDS => json_encode([
'verification_id' => 'test_verification_id',
'ifsc' => 'HDFC0000001'
]),
CURLOPT_HTTPHEADER => [
"Content-Type: application/json",
"x-client-id: <api-key>",
"x-client-secret: <api-key>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://sandbox.cashfree.com/verification/ifsc"
payload := strings.NewReader("{\n \"verification_id\": \"test_verification_id\",\n \"ifsc\": \"HDFC0000001\"\n}")
req, _ := http.NewRequest("POST", url, payload)
req.Header.Add("x-client-id", "<api-key>")
req.Header.Add("x-client-secret", "<api-key>")
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.post("https://sandbox.cashfree.com/verification/ifsc")
.header("x-client-id", "<api-key>")
.header("x-client-secret", "<api-key>")
.header("Content-Type", "application/json")
.body("{\n \"verification_id\": \"test_verification_id\",\n \"ifsc\": \"HDFC0000001\"\n}")
.asString();require 'uri'
require 'net/http'
url = URI("https://sandbox.cashfree.com/verification/ifsc")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Post.new(url)
request["x-client-id"] = '<api-key>'
request["x-client-secret"] = '<api-key>'
request["Content-Type"] = 'application/json'
request.body = "{\n \"verification_id\": \"test_verification_id\",\n \"ifsc\": \"HDFC0000001\"\n}"
response = http.request(request)
puts response.read_body{
"verification_id": "test_verification_id",
"reference_id": 12345,
"status": "VALID",
"bank": "Bank Name",
"ifsc": "HDFC0000001",
"neft": "Live",
"imps": "Live",
"rtgs": "Live",
"upi": "Live",
"ft": "Live",
"card": "Live",
"micr": 560751026,
"nbin": 1234,
"address": "GROUND FLOOR, 123, ABC CIRCLE, XYZ MAIN ROAD, BANGALORE - 560098",
"city": "BANGALORE",
"state": "KARNATAKA",
"branch": "BANGALORE - RAJA RAJESHWARI NAGAR BRANCH",
"ifsc_subcode": "HDFC0",
"category": "DIRECT_MEMBER",
"swift_code": "HDFCINBB"
}IFSC Verification V2
Use this API to verify the provided IFSC information. You will receive the bank name, the branch that it belongs to, the supported transfer modes, and the respective MICR code in the response. View the test data and use the information to trigger the validations. You can use the test data only in test environments such as gamma and sandbox.
curl --request POST \
--url https://sandbox.cashfree.com/verification/ifsc \
--header 'Content-Type: application/json' \
--header 'x-client-id: <api-key>' \
--header 'x-client-secret: <api-key>' \
--data '
{
"verification_id": "test_verification_id",
"ifsc": "HDFC0000001"
}
'import requests
url = "https://sandbox.cashfree.com/verification/ifsc"
payload = {
"verification_id": "test_verification_id",
"ifsc": "HDFC0000001"
}
headers = {
"x-client-id": "<api-key>",
"x-client-secret": "<api-key>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {
'x-client-id': '<api-key>',
'x-client-secret': '<api-key>',
'Content-Type': 'application/json'
},
body: JSON.stringify({verification_id: 'test_verification_id', ifsc: 'HDFC0000001'})
};
fetch('https://sandbox.cashfree.com/verification/ifsc', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://sandbox.cashfree.com/verification/ifsc",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "POST",
CURLOPT_POSTFIELDS => json_encode([
'verification_id' => 'test_verification_id',
'ifsc' => 'HDFC0000001'
]),
CURLOPT_HTTPHEADER => [
"Content-Type: application/json",
"x-client-id: <api-key>",
"x-client-secret: <api-key>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://sandbox.cashfree.com/verification/ifsc"
payload := strings.NewReader("{\n \"verification_id\": \"test_verification_id\",\n \"ifsc\": \"HDFC0000001\"\n}")
req, _ := http.NewRequest("POST", url, payload)
req.Header.Add("x-client-id", "<api-key>")
req.Header.Add("x-client-secret", "<api-key>")
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.post("https://sandbox.cashfree.com/verification/ifsc")
.header("x-client-id", "<api-key>")
.header("x-client-secret", "<api-key>")
.header("Content-Type", "application/json")
.body("{\n \"verification_id\": \"test_verification_id\",\n \"ifsc\": \"HDFC0000001\"\n}")
.asString();require 'uri'
require 'net/http'
url = URI("https://sandbox.cashfree.com/verification/ifsc")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Post.new(url)
request["x-client-id"] = '<api-key>'
request["x-client-secret"] = '<api-key>'
request["Content-Type"] = 'application/json'
request.body = "{\n \"verification_id\": \"test_verification_id\",\n \"ifsc\": \"HDFC0000001\"\n}"
response = http.request(request)
puts response.read_body{
"verification_id": "test_verification_id",
"reference_id": 12345,
"status": "VALID",
"bank": "Bank Name",
"ifsc": "HDFC0000001",
"neft": "Live",
"imps": "Live",
"rtgs": "Live",
"upi": "Live",
"ft": "Live",
"card": "Live",
"micr": 560751026,
"nbin": 1234,
"address": "GROUND FLOOR, 123, ABC CIRCLE, XYZ MAIN ROAD, BANGALORE - 560098",
"city": "BANGALORE",
"state": "KARNATAKA",
"branch": "BANGALORE - RAJA RAJESHWARI NAGAR BRANCH",
"ifsc_subcode": "HDFC0",
"category": "DIRECT_MEMBER",
"swift_code": "HDFCINBB"
}Authorizations
Client ID. You can find your ID in the Merchant Dashboard.
Client secret key. You can find your secret key in the Merchant Dashboard.
Body
Find the request parameters to retrieve the IFSC information
It is the IFSC information of the bank account to be validated. It should be an alphanumeric value of 11 characters. The first 4 characters should be alphabets, the 5th character should be a 0, and the remaining 6 characters should be numerals.
"HDFC0000001"
Response
Success response for IFSC Verification V2
